Cool Codes (Syntax Highlighter)
Author Message
This plugin is problematic under PHP 7.x or newer.

This is pretty much a MyBB 1.4/1.6 port of my Syntax Highlighter for MyBB 1.2.
I've also added line numbers to this one.

To resolve speed issues, you may be interested in my preparser cache plugin.

See the following thread for examples of what this looks like: http://mybbhacks.zingaburga.com/showthread.php?tid=33 (note, no code edits required for this version of the plugin)
(This post was last modified: 02-28-2021 08:45 PM by ZiNgA BuRgA.)
Find all posts by this user
Quote this message in a reply
Download: coolcode-1.26.7z (14.52 KB)
Plugin Version: 1.26
Last Updated: 11-24-2014, 10:39 PM

Downloads: 1,187
MyBB Compatibility: 1.4.x, 1.6.x, 1.8.x
Plugin License: GPLv3
Uploader: ZiNgA BuRgA
sledgeab Offline
Junior Member
**
Posts: 2
Joined: Jun 2010
Post: #91
RE: Cool Codes (Syntax Highlighter)
Hi. My php version 7.1

But this error,

Type: 2
Folder: inc/highlighter.php (1006)
Error:
preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead

thanks.
02-02-2019 12:39 AM
Find all posts by this user Quote this message in a reply
ZiNgA BuRgA Offline
Fag
*******
Posts: 3,355
Joined: Jan 2008
Post: #92
RE: Cool Codes (Syntax Highlighter)
Looks like this plugin won't work well under PHP7 or newer due to use of eval in preg_replace.  Updating would take some effort, so the plugin is kinda deprecated for now.

My Blog
02-28-2021 08:46 PM
Find all posts by this user Quote this message in a reply


Forum Jump: